#!/bin/sh

name="iputils"
title="iputils"
package="iputils"
version="ss021109"
build="1"
noarch="n"
build_info="Standard build."

info="IPv4/IPv6 networking utilities."
desc="The iputils package includes the following tools:
arping (sends ARP REQUEST), clockdiff (measures clock
difference between hosts), ping4 and ping6 (send ICMP
ECHO_REQUEST), rarpd (answers RARP REQUESTs), rdisc
(network router discovery daemon), tftpd (Trivial File
Transfer Protocol server), tracepath and tracepath6
(trace path discovering MTU), traceroute6 (traces path)."
category="net/utils"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="INSTALL,RELNOTES"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.inr.ac.ru/ip-routing/$name-$version-try.tar.bz2 $name

apply_patch n
apply_patch man

parent_package="$package"
write_info main

cd $src1

do_make

mkdir -p $pkg_main/usr/{bin,sbin,man/man8}
cp arping clockdiff rarpd rdisc tftpd tracepath tracepath6 traceroute6 \
    $pkg_main/usr/sbin
cp ping $pkg_main/usr/bin/ping4
cp ping6 $pkg_main/usr/bin
cp doc/*.8 $pkg_main/usr/man/man8
rm -f $pkg_main/usr/man/man8/{pg3,setkey}.8
mv $pkg_main/usr/man/man8/ping.8 $pkg_main/usr/man/man8/ping4.8
echo ".so tracepath.8" > $pkg_main/usr/man/man8/tracepath6.8
echo ".so ping4.8" > $pkg_main/usr/man/man8/ping6.8

make_docs

make_package main

clean_up

# $Log: iputils.builder,v $
# Revision 1.3  2003/04/14 20:07:55  swiergot
# - Removed unneeded configure_option.
# - Build 1.
#
# Revision 1.2  2003/04/14 20:01:12  swiergot
# - Added tftpd and rarpd.
# - Fixed manual pages.
# - Fixed desc.
# - Cleanups.
#
# Revision 1.1  2003/04/14 17:25:20  swiergot
# - Initial release.
# - Version ss021109.
#
